Package org.pushingpixels.lafwidget.ant

# Class IconGhostingType

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.pushingpixels.lafwidget.ant.IconGhostingType

All Implemented Interfaces:
  `Cloneable`

public class IconGhostingType extends org.apache.tools.ant.types.DataType
Ant type for storing `iconGhosting` elements of `AugmentIconGhostingTask` task.

Represents the following build snippet:

     <iconGhosting className="org.pushingpixels.substance.internal.ui.SubstanceButtonUI"
     methodName="paintIcon" />

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`IconGhostingType()`
Creates new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
Returns the UI delegate class name.
`String`
`getMethodName()`
Returns the method name to augment.
`void`
`setClassName(String name)`
Sets the UI delegate class name.
`void`
`setMethodName(String methodName)`
Sets the method name to augment.

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IconGhostingType

public IconGhostingType()
Creates new instance.

## Method Details

### setClassName

public void setClassName(String name)
Sets the UI delegate class name.

Parameters:
  `name` - UI delegate class name.

### getClassName

public String getClassName()
Returns the UI delegate class name.

Returns:
  UI delegate class name.

### getMethodName

public String getMethodName()
Returns the method name to augment.

Returns:
  Method name to augment.

### setMethodName

public void setMethodName(String methodName)
Sets the method name to augment.

Parameters:
  `methodName` - Method name to augment.